Subject: bug#11873: 24.1; Build failure with glibc-2.16

From: Ulrich Mueller <[email-masked]>
Date: Sat, 7 Jul 2012 17:48:27 +0200

Forwarding downstream bug: <https://bugs.gentoo.org/424755>

C11 removed the "gets" function and glibc-2.16 no longer defines it.
However, the gnulib that comes with emacs-24.1 still assumes that
"gets" is defined.

   armv7a-hardfloat-linux-gnueabi-gcc -DHAVE_CONFIG_H -I. -I../src -I/var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/src     -O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16 -c md5.c
   In file included from md5.h:24:0,
                    from md5.c:25:
   ./stdio.h:1030:1: erreur: ‘gets’ undeclared here (not in a function)
   make[2]: *** [md5.o] Erreur 1

Emacs trunk has already been updated to a newer gnulib version where
the problem is fixed:
<http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/108385>
The bug still exists in the emacs-24 branch though.

Here is the patch that is applied to the Gentoo package:
<http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo/src/patchsets/emacs/24.1/04_all_gnulib-gets.patch?view=log>